Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class CompositeStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.CompositeStep

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ParallelStep, SerialStep

public abstract class CompositeStep
extends Step

Implement common functionalities for composite steps such as parallel step and serial step.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`CompositeStep()`

Method Summary
`java.util.List` | `getMembers()` Get members composite of this step.
`org.apache.tapestry.form.IPropertySelectionModel` | `getMembersSelectionModel()`
`java.lang.String` | `getStepSuccessCondition()` OGNL: An OGNL expression to determine whether or not this composite step is successful.
`java.util.Map` | `getStepSuccessConditionChoices()`
`boolean` | `isAnyChildStepFailed()` OGNL: Determines if there is any child step failed
`boolean` | `isAnyChildStepSuccessful()` OGNL: Determines if there is any child step successful
`protected void` | `run(Build build)` Run this step in specified build context.
`void` | `setMembers(java.util.List members)`
`void` | `setStepSuccessCondition(java.lang.String stepSuccessCondition)`
`protected abstract void` | `triggerMembers(Build build)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeStep

    public CompositeStep()

Method Detail

### getStepSuccessCondition

    public java.lang.String getStepSuccessCondition()

  OGNL: An OGNL expression to determine whether or not this composite step is successful.

  Returns:

### getStepSuccessConditionChoices

    public java.util.Map getStepSuccessConditionChoices()

### setStepSuccessCondition

    public void setStepSuccessCondition(java.lang.String stepSuccessCondition)

### getMembers

    public java.util.List getMembers()

  Get members composite of this step. Each element of this set is name of another step.

### setMembers

    public void setMembers(java.util.List members)

### getMembersSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getMembersSelectionModel()

### isAnyChildStepSuccessful

    public boolean isAnyChildStepSuccessful()

  OGNL: Determines if there is any child step successful

  Returns:

### isAnyChildStepFailed

    public boolean isAnyChildStepFailed()

  OGNL: Determines if there is any child step failed

  Returns:

### run

    protected final void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

### triggerMembers

    protected abstract void triggerMembers(Build build)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.